# FindPhtread search and find the libphtread library path and header path
#
# The following variables are set:
# CMAKE_C_FLAGS - flags to add to the C compiler for build arpon
# CMAKE_INCLUDE - include path Cflag
# CMAKE_LIBS    - library path Cflag
#
# Copyright 2010 <Giuseppe Marco Randazzo> zeld@freaknet.org
#
# Redistribution AND use is allowed according to the terms of the New
# BSD license.

foreach(header ${libpthread_h})
  find_path(PTHREAD_INCLUDE_DIR ${libpthread_h} ${CMAKE_INCLUDE_PATH})
endforeach(header ${libpthread_h})

foreach(libpath ${libpthread})
  find_path(PTHREAD_LIB_DIR ${libpath} ${CMAKE_LIBRARY_PATH})
endforeach(libpath ${libpthread})

foreach(library ${libpthread})
  find_library(PTHREAD_LIBRARY NAMES ${library} PATH ${CMAKE_LIBRARY_PATH})
endforeach(library ${libpthread})

if(PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY )
  message(STATUS "Found libpthread.")

  if(NOT ${INCLUDE_DIR} MATCHES ${PTHREAD_INCLUDE_DIR})
    include_directories(${PTHREAD_INCLUDE_DIR})
    set(INCLUDE_DIR "${INCLUDE_DIR} ${PTHREAD_INCLUDE_DIR}")
  endif(NOT ${INCLUDE_DIR} MATCHES ${PTHREAD_INCLUDE_DIR})

  if(PTHREAD_LIB_DIR AND NOT ${LIB_DIR} MATCHES ${PTHREAD_LIB_DIR})
    link_directories(${PTHREAD_LIB_DIR})
    set(LIB_DIR "${LIB_DIR} ${PTHREAD_LIB_DIR}")
  endif(PTHREAD_LIB_DIR AND NOT ${LIB_DIR} MATCHES ${PTHREAD_LIB_DIR})

else(NOT PTHREAD_INCLUDE_DIR OR NOT PTHREAD_LIB_DIR OR NOT PTHREAD_LIBRARY)
  message(FATAL_ERROR " libpthread not found! \n Please visit  http://www.gnu.org/software/libc/libc.html or see in the arpon 'INSTALL' file.")
endif(PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
